Bug 605645

Summary: CVE-2010-2225 PHP unsafe unserialize() use flaw [fedora-all]
Product: [Fedora] Fedora Reporter: Josh Bressers <bressers>
Component: phpAssignee: Joe Orton <jorton>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: fedora, jorton, rpm
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php-eaccelerator-0.9.6.1-2.fc12 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-23 18:00:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 605641    

Description Josh Bressers 2010-06-18 09:11:16 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

Forr more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=605641

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2010-07-23 06:01:19 EDT
php-5.3.3-1.fc12,maniadrive-1.2-22.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-5.3.3-1.fc12,maniadrive-1.2-22.fc12
Comment 2 Fedora Update System 2010-07-23 06:01:54 EDT
php-5.3.3-1.fc13,maniadrive-1.2-22.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-5.3.3-1.fc13,maniadrive-1.2-22.fc13
Comment 3 Fedora Update System 2010-07-26 22:39:51 EDT
php-5.3.3-1.fc12, maniadrive-1.2-22.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php maniadrive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-5.3.3-1.fc12,maniadrive-1.2-22.fc12
Comment 4 Fedora Update System 2010-07-26 22:54:14 EDT
php-5.3.3-1.fc13, maniadrive-1.2-22.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php maniadrive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-5.3.3-1.fc13,maniadrive-1.2-22.fc13
Comment 5 Fedora Update System 2010-08-12 00:05:44 EDT
php-eaccelerator-0.9.6.1-2.fc13, php-5.3.3-1.fc13, maniadrive-1.2-22.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-eaccelerator php maniadrive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-eaccelerator-0.9.6.1-2.fc13,php-5.3.3-1.fc13,maniadrive-1.2-22.fc13
Comment 6 Fedora Update System 2010-08-12 00:12:14 EDT
php-eaccelerator-0.9.6.1-2.fc12, php-5.3.3-1.fc12, maniadrive-1.2-22.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-eaccelerator php maniadrive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-eaccelerator-0.9.6.1-2.fc12,php-5.3.3-1.fc12,maniadrive-1.2-22.fc12
Comment 7 Fedora Update System 2010-08-23 18:00:26 EDT
php-eaccelerator-0.9.6.1-2.fc13, php-5.3.3-1.fc13, maniadrive-1.2-22.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-08-23 18:07:36 EDT
php-eaccelerator-0.9.6.1-2.fc12, php-5.3.3-1.fc12, maniadrive-1.2-22.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.